#include "Logger.h"

#include <iostream>
#include <chrono>
#include <thread>

int main()
{
  Logger::getInstance()->init();
  auto logger = Logger::getInstance();
  using namespace std::chrono_literals;

  LOG_INFO("Message1");
  LOG_INFO("Message %d", 5);
  std::this_thread::sleep_for(2000ms);
  LOG_INFO("Message %s", "3");

  for(auto it = logger->begin(); it != logger->end(); ++it)
  {
     std::cout << it.time_millis() << ": " << it.message() << std::endl;
  }
  return 0;
}